NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.CAE.Mesh3d Class Reference

Represents 3d Mesh More...

Inheritance diagram for NXOpen.CAE.Mesh3d:
NXOpen.CAE.Mesh NXOpen.DisplayableObject NXOpen.CAE.IExportableFEEntity NXOpen.NXObject NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.DisplayableObject
enum  ObjectFont {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed, Eight = 11,
  Nine, Ten, Eleven
}
 specifies the object font for objects such as lines More...
 
enum  ObjectWidth {
  Normal, Thick, Thin, One = 5,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 specifies object width for objects such as lines and text More...
 
- Public Member Functions inherited from NXOpen.CAE.Mesh
unsafe NXOpen.Body GetLatticeBody ()
 Get Lattice Solid body information if the mesh is related to Lattice More...
 
unsafe
NXOpen.CAE.MeshDisplaySettings 
GetMeshDisplaySettings ()
 The MeshDisplaySettings for this mesh. More...
 
unsafe string[] GetSolverCardSyntax ()
 Returns the solver card syntax strings for this entity. More...
 
unsafe bool GetUpdatePendingStatus ()
 Update pending flag for this mesh More...
 
unsafe bool IsValid ()
 Judges whether the mesh is valid in current solver environment. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.CAE.Mesh
unsafe NXOpen.CAE.PropertyTable ElementPropertyTable [get]
 Returns the element property table associated with the mesh object More...
 
unsafe bool ExportMeshProperty [get, set]
 Returns or sets the export mesh property for this mesh. More...
 
unsafe bool LockStatus [get, set]
 Returns or sets the lock status for this mesh. More...
 
unsafe NXOpen.CAE.IMeshCollector MeshCollector [get]
 Returns the MeshCollector for this mesh. More...
 

Detailed Description

Represents 3d Mesh

To create or edit an instance of this class, use NXOpen.CAE.Mesh3dTetBuilder

Created in NX6.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.